Subject: bug#15991: 24.3.50; Wishlist: Make test suite user-friendlier

From: Glenn Morris <[email-masked]>
Date: Thu, 26 Jun 2014 12:44:10 -0400

> Also, suppose one needs to run Emacs under a debugger for running a
> test -- there doesn't seem to be a convenient way of doing that,
> either.  Once again, start Emacs manually in GDB, then copy/paste the
> command line there, and be sure to set the environment variables, like
> EMACS_TEST_DIRECTORY before starting GDB.  Wait, and what if the test
> forks, and you need to attach GDB to the correct Emacs process?

(But none of the Emacs Makefiles provide any such gdb facility?)

All I can suggest here is that the Makefile define a GDB variable,
normally empty, that you can set to "gdb" on the make command-line when
you want to.